Subject: bug#62572: cp --no-clobber behavior has changed

From: Paul Eggert <[email-masked]>
Date: Sun, 17 Dec 2023 00:34:11 -0800

On 2023-12-16 13:46, Bernhard Voelker wrote:
> Whether the implementation is race-prone or not is an internal thing.

I wasn't referring to the internal implementation. I was referring to cp 
users. With the newer Coreutils (FreeBSD) behavior, you can reliably 
write a script to do something if cp -n didn't copy the file because the 
destination already existed. With the older Coreutils behavior you 
cannot do that reliably; there will always be a race condition.